> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Webhook

> Send a test event to a webhook to verify connectivity.



## OpenAPI

````yaml /openapi.json post /v1/webhooks/{webhook_id}/test
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/webhooks/{webhook_id}/test:
    post:
      tags:
        - webhooks
      summary: Test Webhook
      description: Send a test event to a webhook to verify connectivity.
      operationId: test_webhook_v1_webhooks__webhook_id__test_post
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Webhook Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookTestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookTestResponse:
      properties:
        success:
          type: boolean
          title: Success
        http_status:
          anyOf:
            - type: integer
            - type: 'null'
          title: Http Status
        duration_ms:
          type: integer
          title: Duration Ms
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - success
        - duration_ms
      title: WebhookTestResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````